# vim: ft=yaml
version: '3'

services:
  app:
    image: 'ghcr.io/atuinsh/atuin:18.3.0'
    command: 'server start'
    restart: 'always'

    ports:
      - '8009:8888'
    volumes:
      - '/etc/atuin/server.toml:/config/server.toml'

    depends_on:
      db:
        condition: service_healthy

  db:
    image: 'postgres:17.0-alpine'
    restart: 'always'

    healthcheck:
      test: ["CMD", "pg_isready", "-U", "atuin"]
      interval: 10s
      start_period: 30s

    environment:
      - POSTGRES_USER=atuin
      - POSTGRES_PASSWORD=atuin
      - POSTGRES_DB=atuin
    volumes:
      - '/mnt/data1/atuin-server/postgres:/var/lib/postgresql/data'
